## creole 2.10.0-51

=== Makefile ===
################################
# Makefile pour creole
################################

SOURCE=creole
EOLE_VERSION=2.10
EOLE_RELEASE=2.10.0

################################
# Début de zone à ne pas éditer
################################

include eole.mk
include apps.mk

################################
# Fin de zone à ne pas éditer
################################

# Makefile rules dedicated to application
# if exists
ifneq (, $(strip $(wildcard $(SOURCE).mk)))
include $(SOURCE).mk
endif

=== debian/changelog ===
creole (2.10.0-51) eole-2.10.0-proposed-updates; urgency=low

  [ lseys ]
  * [a153fdc] Revert "add 15-ntpdate_cleanup"
  * [05c6e03] Merge branch '2.8.1/master' into 2.9.0/master
  * [3876e0b] Merge branch '2.9.0/master'
  * [8f8868e] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [d1d3a12] lseys: Update package since “debian/eole/2.10.0-50”

 -- lseys <lseys@cadoles.com>  Thu, 11 Sep 2025 12:15:02 +0200

creole (2.10.0-50) eole-2.10.0-proposed-updates; urgency=low

  [ lseys ]
  * [972328e] remplacement de get_device
  * [8811aad] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [2b88ee9] lseys: Update package since “debian/eole/2.10.0-49”

 -- lseys <lseys@cadoles.com>  Thu, 11 Sep 2025 10:24:40 +0200

creole (2.10.0-49) eole-2.10.0-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [a869314] Systemd est déjà mis à jour au dessus (ref #36988)
  * [2e6003c] Upgrade-Auto eolead le conteneur n'existe pas (ref #36996)
  * [8f7e81e] Upgrade-Auto eolead le conteneur n'existe pas (ref #36996)
  * [3163977] gestion du proxy (ref #36971)

  [ Joël Cuissinat ]
  * [3fa26f4] Upgrade : remove mod_clamav lines from proftpd.conf
  * [644c3fc] pre_upgrade/20-bareos : vérifier si les paquets à supprimer sont présents
  * [e44c5b2] Merge branch '2.8.1/master' into 2.9.0/master
  * [843063e] Merge branch '2.9.0/master'

  [ lseys ]
  * [e411ca6] add 15-ntpdate_cleanup
  * [ef1fdfa] Merge branch '2.8.1/master' into 2.9.0/master
  * [7859cf3] Merge branch '2.9.0/master'
  * [e0397cd] Ajout d'une condition if not eole-postgresql => exit 00-postgresl
  * [2ff893e] Merge branch '2.8.1/master' into 2.9.0/master
  * [3eb7218] Merge branch '2.9.0/master'
  * [7396fa0] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [a48b45c] lseys: Update package since “debian/eole/2.10.0-48”

 -- lseys <lseys@cadoles.com>  Tue, 09 Sep 2025 11:35:52 +0200

creole (2.10.0-48) eole-2.10.0-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [288ab1c] upgrade vers 2.10 pour eolebase (ref #36968)
  * [3b26227] Upgrade-Auto: mise à jour de postgresql (ref #36971)
  * [4bad3ab] Upgrade-Auto: unmask salt-api pour mise à jour (ref #36971)
  * [3d7e204] Upgrade-Auto: mise à jour du conteneur ADDC sur Scribe (ref #36971)
  * [cf1f27f] Upgrade-Auto: Le script EOLEPostInstallScripts doit se lancer quand les vérroux dpkg sont tous supprimés (ref #36971)
  * [d65e649] déplacement de deborphan après migration de postgresql (ref #36972)
  * [2d7dd57] activation de la migration d'Amon (ref #36972)
  * [5b80616] resolv.conf peut être modifié durant l'Upgrade (ref #36968)
  * [2198bda] Ne pas masquer salt-master et salt-api sur tous les modules (ref #36985)
  * [99172a6] mise à jour de PHP (ref #36971)
  * [c1f2c95] Upgrade-Auto de AmonEcole (ref #36988)
  * [30ca0e5] Mise à jour de salt dans le conteneur domaine (ref #36988)
  * [866c73b] affiche la liste des paquets orphelin (ref #36971)
  * [a870dde] Upgrade-Auto : desactivation de deborphan (ref #36989)
  * [3a0c851] CreoleSwitchResolv doit supprimer le lien symbolique si existe (ref #36968)
  * [e7df9d3] Merge branch '2.9.0/master'
  * [3b04b86] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [b6a51f4] Emmanuel Garette: Update package since “debian/eole/2.10.0-47”

 -- Emmanuel Garette <egarette@silique.fr>  Wed, 30 Jul 2025 19:46:13 +0200

creole (2.10.0-47) eole-2.10.0-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [d658f6e] pre_upgrade/20-bareos : conditionnement du sed sur bareos-database-common.conf
  * [fd4ce3f] Merge branch '2.8.1/master' into 2.9.0/master
  * [954db7b] Merge branch '2.9.0/master'

  [ Laurent Gourvénec ]
  * [6b744d5] post-upgrade: suppression des paquets en rc
  * [c82a01b] post-upgrade: fix droits sur 20-purge_packages
  * [5a52924] Merge remote-tracking branch 'origin/2.8.1/master' into 2.9.0/master
  * [471b0a5] Merge remote-tracking branch 'origin/2.9.0/master'
  * [23da241] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [8c006c0] Laurent Gourvénec: Update package since “debian/eole/2.10.0-46”

 -- Laurent Gourvénec <lgourvenec@cadoles.com>  Fri, 04 Jul 2025 13:58:06 +0200

creole (2.10.0-46) eole-2.10.0-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [1da0ffb] dbconfig-common n’est pas utilisé dans EOLE.
  * [0a1154a] Merge branch '2.8.1/master' into 2.9.0/master
  * [30c30a7] Merge branch '2.9.0/master'
  * [ef55938] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [08fe78e] Benjamin Bohard: Update package since “debian/eole/2.10.0-45”

 -- Benjamin Bohard <bbohard@cadoles.com>  Tue, 17 Jun 2025 10:49:36 +0200

=== debian/control ===
Source: creole
Section: admin
Priority: optional
Maintainer: Équipe Eole <eole@ac-dijon.fr>
Build-Depends: debhelper (>= 13),
               python3-all,
               dh-python,
               python3-all-dev,
               python3-setuptools,
               dpkg-dev (>= 1.16.1~)
Standards-Version: 3.9.3
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.9
Homepage: http://eole.orion.education.fr/diff/
Vcs-Git: http://dev-eole.ac-dijon.fr/git/creole
Vcs-Browser: http://dev-eole.ac-dijon.fr/projects/creole/repository

Package: creole
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
 python3-creole (= ${binary:Version}), dialog, httping, mutt, ethtool,
 iputils-arping, fping, bind9-host, openssl, update-manager-core, eole-team-keyring
Breaks: eole-server (<< 2.4.0-70)
Replaces: eole-server (<< 2.4.0-70)
Description: gestion de configuration Creole
 Pour toute information complementaire, veuillez vous rendre
 sur le site du Projet a l'adresse suivante :
 .
 http://eole.orion.education.fr

Package: creole-common
Architecture: all
Depends: ${misc:Depends},
Replaces: creole (<= 2.4.0-137)
Breaks: creole (<= 2.4.0-137)
Description: gestion de configuration Creole - fichier commun
 Pour toute information complementaire, veuillez vous rendre
 sur le site du Projet a l'adresse suivante :
 .
 http://eole.orion.education.fr

Package: python-creole-client
Architecture: all
Depends: ${misc:Depends}, ${python:Depends},
         creole-common (= ${binary:Version}),
         python-requests,
         python-tiramisu,
         python-eventlet,
         creole-client
Provides: python-creole-base
Conflicts: python-creole-base
Replaces: creole (<= 2.4.0-137),
	  python-creole-base
Breaks: creole (<= 2.4.0-137)
Description: gestion de configuration Creole - librairie cliente
 Pour toute information complementaire, veuillez vous rendre
 sur le site du Projet a l'adresse suivante :
 .
 http://eole.orion.education.fr

Package: python3-creole-client
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
         creole-common (= ${binary:Version}),
         python3-requests,
         python3-tiramisu,
         python3-eventlet,
         creole-client
Provides: python3-creole-base
Conflicts: python3-creole-base
Replaces: python-creole-base
Description: gestion de configuration Creole -  librairie cliente (Python3)
 Pour toute information complementaire, veuillez vous rendre
 sur le site du Projet a l'adresse suivante :
 .
 http://eole.orion.education.fr

Package: creole-client
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Replaces: python-creole (<= 2.7.0-40)
Breaks: python-creole (<= 2.7.0-40)
Description: gestion de configuration Creole - fichiers communs (client)
 Pour toute information complementaire, veuillez vous rendre
 sur le site du Projet a l'adresse suivante :
 .
 http://eole.orion.education.fr

Package: python3-creole
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
 creole-common (= ${binary:Version}),
 python3-tiramisu (>= 2.0~13-1), python3-cheetah, python3-openssl,
 python3-configobj, python3-pyeole (>= 2.5.0~1-5), python3-cherrypy3,
 python3-formencode, patch, python3-lxml, libxml2-utils,
 python3-ipy, python3-pyinotify, python3-passlib,
 python3-requests,
 python3-dateutil,
 python3-eventlet,
 python3-pyroute2,
 python3-systemd,
 python3-requests,
 python3-ipy,
 python3-lxml,
 python3-packaging
Provides: python3-creole-client,
	  python3-creole-base
Conflicts: python3-creole-client,
	   python3-creole-base
Replaces: python3-creole-client,
	  python3-creole-base
Description: gestion de configuration Creole (Python3)
 Pour toute information complementaire, veuillez vous rendre
 sur le site du Projet a l'adresse suivante :
 .
 http://eole.orion.education.fr

Package: python-creole
Architecture: all
Depends: ${misc:Depends}, ${python:Depends},
 creole-common (= ${binary:Version}),
 python-tiramisu (>= 2.0~13-1), python-cheetah, python-openssl,
 python-configobj, python-pyeole (>= 2.5.0~1-5), python-cherrypy3, python-cjson,
 python-formencode, patch, python-lxml, libxml2-utils,
 python-ipy, python-pyinotify, python-passlib,
 python-requests,
 python-dateutil,
 python-eventlet,
 python-systemd
Provides: python-creole-client,
	  python-creole-base
Conflicts: python-creole-client,
	   python-creole-base
Replaces: creole (<= 2.4.0-137),
	  python-creole-client,
	  python-creole-base
Breaks: creole (<= 2.4.0-137)
Description: gestion de configuration Creole
 Pour toute information complementaire, veuillez vous rendre
 sur le site du Projet a l'adresse suivante :
 .
 http://eole.orion.education.fr

Package: creole-tests
Architecture: all
Depends: creole,
         python3-pytest,
         ${misc:Depends}
Description: Creole unit tests
 Pour toute information complementaire, veuillez vous rendre
 sur le site du Projet a l'adresse suivante :
 .
 http://eole.orion.education.fr

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1
# export DH_OPTIONS=-v

export PYBUILD_NAME = creole
export PYBUILD_DISABLE_python3=test

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_install:
	make DESTDIR=debian/tmp install
	dh_auto_install

override_dh_installsystemd:
	dh_installsystemd -pcreole --name=creoled

override_dh_builddeb:
	# Make package compatible with older version
	dh_builddeb -- -Zgzip -Srle

.PHONY: override_dh_installsystemd

## creole 2.10.0-58

=== debian/changelog ===
creole (2.10.0-58) eole-2.10.0-proposed-updates; urgency=low

  [ Laurent Gourvénec ]
  * [c6f6ee2] Exécution des run-parts de maj-auto à l'instance
  * [eedbc17] Merge remote-tracking branch 'origin/2.9.0/master'
  * [3c71460] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [6494813] Laurent Gourvénec: Update package since “debian/eole/2.10.0-57”

 -- Laurent Gourvénec <lgourvenec@cadoles.com>  Mon, 24 Nov 2025 16:17:58 +0100

creole (2.10.0-57) eole-2.10.0-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [d43419c] CreoleRun/CreoleSwitchResolv : remove empty lines
  * [440f450] CreoleRun : nettoyage shellcheck
  * [342b418] CreoleSwitchResolv : nettoyage shellcheck
  * [d9205dc] Merge branch '2.9.0/master'
  * [02f2778] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [8685fb6] Joël Cuissinat: Update package since “debian/eole/2.10.0-56”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Thu, 13 Nov 2025 10:48:16 +0100

creole (2.10.0-56) eole-2.10.0-proposed-updates; urgency=low

  [ lseys ]
  * [54a09d4] suppression du saut de ligne caché
  * [cf94e1e] Merge branch '2.8.1/master' into 2.9.0/master
  * [158aaab] Merge branch '2.9.0/master'
  * [a6d74a1] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [b22acd5] lseys: Update package since “debian/eole/2.10.0-55”

 -- lseys <lseys@cadoles.com>  Wed, 29 Oct 2025 16:02:07 +0100

creole (2.10.0-55) eole-2.10.0-proposed-updates; urgency=low

  [ lseys ]
  * [811a38d] Ajout d'un échappement pour que les variable soient correctement interprété
  * [aa5839b] Merge branch '2.9.0/master'
  * [454fa64] Merge branch 'master' into dist/eole/2.10.0/master
  * [7ef2cb8] oubli d'un échappement, correction du précédent
  * [88fd748] Merge branch '2.8.1/master' into 2.9.0/master
  * [e6ab9f9] Merge branch '2.9.0/master'
  * [dd07f9e] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [b9548c2] lseys: Update package since “debian/eole/2.10.0-54”

 -- lseys <lseys@cadoles.com>  Mon, 27 Oct 2025 10:45:51 +0100

creole (2.10.0-54) eole-2.10.0-proposed-updates; urgency=low

  [ lseys ]
  * [48475c8] Ajout d'un échappement pour que les variable soient correctement interprété
  * [3c281e4] Merge branch '2.8.1/master' into 2.9.0/master
  * [566a620] Merge branch '2.9.0/master'
  * [cd4ad07] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [cf342c6] lseys: Update package since “debian/eole/2.10.0-53”

 -- lseys <lseys@cadoles.com>  Tue, 21 Oct 2025 12:09:36 +0200

creole (2.10.0-53) eole-2.10.0-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [4df5625] Remplacer apt-eole par apt pour éviter la dépendance à creoled
  * [f43c0a4] Merge branch '2.8.1/master' into 2.9.0/master
  * [91143e7] Merge branch '2.9.0/master'
  * [aa2f1ce] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [10ab659] Benjamin Bohard: Update package since “debian/eole/2.10.0-52”

 -- Benjamin Bohard <bbohard@cadoles.com>  Tue, 23 Sep 2025 11:08:37 +0200

creole (2.10.0-52) eole-2.10.0-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [8173ac0] ne pas reimporter time dans la fonction (ref #37084)
  * [35d5053] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [327b069] Emmanuel Garette: Update package since “debian/eole/2.10.0-51”

 -- Emmanuel Garette <egarette@silique.fr>  Tue, 23 Sep 2025 10:35:36 +0200
